#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD5,0x1F,0x50,0xA9,0x93,0xC5,0xF1,0xE4,0x40,0x62,0x79,0x86,
		0x7B,0x17,0x2A,0x14,0xB9,0x7D,0xA9,0xB6,0x91,0xD3,0xEA,0xA3,
		0x59,0x94,0xB7,0x94,0x55,0xF3,0x20,0x96,0x37,0x39,0xB6,0x58,
		0xE5,0x10,0x33,0x62,0x69,0xAE,0xE5,0x2C,0xB6,0xE4,0xFD,0xD0,
		0x20,0x9C,0x32,0xF3,0x5D,0x3A,0x63,0xA7,0x7A,0x92,0x1C,0x99,
		0xD0,0x06,0x3A,0xA7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
